Loading...
Searching...
No Matches
savgolfilter.h File Reference
`#include <QObject>`
`#include "../../trace/trace.h"`
`#include "pappsomspp/export-import-config.h"`
`#include "filternameinterface.h"`

Go to the source code of this file.

## Classes

struct | pappso::SavGolParams
| Parameters for the Savitzky-Golay filter. More...
class | pappso::FilterSavitzkyGolay
| uses Savitsky-Golay filter on trace More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< FilterSavitzkyGolay > | pappso::FilterSavitzkyGolaySPtr
typedef std::shared_ptr< const FilterSavitzkyGolay > | pappso::FilterSavitzkyGolayCstSPtr